import RPi.GPIO as GPIO
import time

LedPin = 18 

GPIO.setmode(GPIO.BCM)       	# Numbers GPIOs by physical location
GPIO.setup(LedPin, GPIO.OUT)   	# Set LedPin's mode is output

try:
 while True:
 print ('...led on')
 GPIO.output(LedPin, GPIO.LOW)  # led on
 time.sleep(0.5)
 print ('led off...')
 GPIO.output(LedPin, GPIO.HIGH) # led off
 time.sleep(0.5)

except KeyboardInterrupt:  	# When 'Ctrl+C' is pressed, the flowing code will be  executed.
 GPIO.output(LedPin, GPIO.LOW)  # led off
    GPIO.cleanup()                     # Release resource
    print ('bye...')